package com.sw.mes.yb.ipc.dao;

import com.sw.mes.core.base.BaseDao;
import com.sw.mes.yb.ipc.entity.ParamSet;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface ParamSetDAO extends BaseDao<ParamSet, Long> {

    List<ParamSet> findByParamName(String paramName);

    @Query(value = "select distinct(process_name) from zhxx_workhour_param_set where param_name=?1", nativeQuery = true)
    List<String> selectProcessName(String paramName);

    @Query(value = "SELECT * FROM zhxx_workhour_param_set WHERE process_name=?1 ", nativeQuery = true)
    List<ParamSet> findByProcessName(String name);

	List<ParamSet> findByDeviceName(String deviceName);
}
